# Delete a Customer Deletes a customer. Only one object can be deleted per request (unless batched). Some object types may be blocked from being deleted by the update command as special processing is done by a dedicated manager command. Note: Some object types are only soft-deleted, some are hard-deleted in the database. This behavior cannot be influenced by the client. Endpoint: POST /delete/C Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.typedId` (string, required) ## Response 200 fields (application/json): - `response` (object, required) - `response.node` (string, required) - `response.data` (array, required) - `response.data.version` (number, required) - `response.data.typedId` (string, required) - `response.data.customerId` (string, required) - `response.data.name` (string, required) - `response.data.parentId` (any) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.nodeId` (number, required) - `response.data.createDate` (string, required) - `response.data.createdBy` (number, required) - `response.data.lastUpdateDate` (string, required) - `response.data.lastUpdateBy` (number, required) - `response.data.attribute1` (string, required) - `response.data.attribute2` (string, required) - `response.data.attribute3` (any) - `response.data.attribute4` (any) - `response.data.attribute5` (any) - `response.data.attribute6` (any) - `response.data.attribute7` (any) - `response.data.attribute8` (any) - `response.data.attribute9` (any) - `response.data.attribute10` (any) - `response.data.attribute11` (any) - `response.data.attribute12` (any) - `response.data.attribute13` (any) - `response.data.attribute14` (any) - `response.data.attribute15` (any) - `response.data.attribute16` (any) - `response.data.attribute17` (any) - `response.data.attribute18` (any) - `response.data.attribute19` (any) - `response.data.attribute20` (any) - `response.data.attribute21` (any) - `response.data.attribute22` (any) - `response.data.attribute23` (any) - `response.data.attribute24` (any) - `response.data.attribute25` (any) - `response.data.attribute26` (any) - `response.data.attribute27` (any) - `response.data.attribute28` (any) - `response.data.attribute29` (any) - `response.data.attribute30` (any) - `response.data.isParent` (boolean, required) - `response.status` (number, required)